// Plot2D main application class for Plot2D lab
// This file is modified by lab stucdents

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2003, 2004
// Department of Computer Science
// University of North Carolina at Asheville

// Derived from UNCA CSCI 201 Plot-2D lab
// (c) J. Dean Brock, 1998

// Your name goes here ==>

import  edu.unca.cs.csci201.LabAids.SpecPlot2D ;

/**
 * Students modify this class for Plot2D lab
 */
public class Plot2D {
    
    // Change window name here
    private static final String labName = "Plot 2D" ;
    
    /**
     * Application entry point for Plot2D
     * @param args Ignored
     */
    public static void main(String[] args) {
        
        // call FramePlot2D which will then call PainterMux
        
        edu.unca.cs.csci201.LabAids.FramePlot2D testWindow = 
                new edu.unca.cs.csci201.LabAids.FramePlot2D(labName, 750, 500) ;
        
        // This is where plots are added
        testWindow.addPainter(new MyClass1()) ;
        testWindow.addPainter(new MyClass2()) ;
        testWindow.addPainter(new MyClass3()) ;
        testWindow.addPainter(new MyClass4()) ;
        testWindow.addPainter(new MyClass5()) ;
    }   

    // Here are the classes that you need to modify
    
    private static class MyClass1 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f;
        }
    }

    private static class MyClass2 implements SpecPlot2D {
        public double TestFunc(double f) {
            return Math.sin(5*f)*0.3+f*f/2-f/6;
        }
    }

    private static class MyClass3 implements SpecPlot2D {
        public double TestFunc(double f) {
            return f*f*f;
        }
    }

    private static class MyClass4 implements SpecPlot2D {
        public double TestFunc(double f) {
            return (f/Math.floor(f-0.37));
        }
    }
    
    private static class MyClass5 implements SpecPlot2D {
        public double TestFunc(double f) {
            int c ;
            for (int i=0; ; ++i)
                if (Math.abs(i*f) > 1.0)
                    return 1.0/i ;
        }
    }
}
